<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('title.study.show', studyModel.element.name)}" />
		</ui:define>
		<ui:define name="body">
				<p:panelGrid columns="2">
					<h:outputText value="#{facesContext.translate('tooltip.vargroup.element')}" />
					<ui:repeat value="#{studyModel.parents}" var="b">
						<h:outputText value="#{b.name}" styleClass="breadcrumbpri" rendered="#{!b.disableBreadcrumb}" />
					</ui:repeat>
				</p:panelGrid>
				<p:panelGrid columns="2" rendered="#{!studyModel.element.isVariable}">
					<h:outputText value="#{facesContext.translate('label.name')}" />
					<h:outputText value="#{studyModel.element.name}" />
					<h:outputText value="#{facesContext.translate('label.varlabel')}" />
					<ship:outputTranslation value="#{studyModel.element.translation}" ignoreLocale="true" />
					<h:outputText value="#{facesContext.translate('label.uniquename')}" />
					<h:outputText value="#{studyModel.element.uniqueName}" />
					<h:outputText value="#{facesContext.translate('label.study.variable.missinglist')}" />
					<h:outputText value="#{studyModel.element.missinglistReadable}" />
					<h:outputText value="#{facesContext.translate('label.study.numberofsections')}" />
					<h:outputText value="#{studyModel.element.numberOfSections}" />
					<h:outputText value="#{facesContext.translate('label.study.numberofvariables')}" />
					<h:outputText value="#{studyModel.element.numberOfVariables}" />
					<h:outputText value="#{facesContext.translate('label.study.percentageofcovered')}" />
					<p:progressBar value="#{studyModel.element.percentageOfCovered}" labelTemplate="{value}%" displayOnly="true" style="height: 24px; color: white; margin-bottom: 0px" />
				</p:panelGrid>
				<p:panelGrid columns="2" rendered="#{studyModel.element.isVariable}">
					<h:outputText value="#{facesContext.translate('label.name')}" />
					<h:outputText value="#{studyModel.variable.name}" />
          <h:outputText value="#{facesContext.translate('label.varlabel')}" />
          <ship:outputTranslation value="#{studyModel.element.translation}" ignoreLocale="true" />
					<h:outputText value="#{facesContext.translate('label.columnname')}" />
					<h:outputText value="#{studyModel.variable.columnName}" />
					<h:outputText value="#{facesContext.translate('label.uniquename')}" />
					<h:outputText value="#{studyModel.element.uniqueName}" />
					<h:outputText value="#{facesContext.translate('label.study.variable.missinglist')}" />
					<h:outputText value="#{studyModel.element.missinglistReadable}" />
					<h:outputText value="#{facesContext.translate('label.variable.datatype')}" />
					<h:outputText value="#{studyModel.variable.datatype}" />
					<h:outputText value="#{facesContext.translate('label.study.variable.valuelist')}" />
					<h:outputText value="#{studyModel.variable.valuelist}" />
					<h:outputText value="#{facesContext.translate('label.study.variable.idvariable')}" />
					<ui:fragment>
						<i class="#{studyModel.variable.idvariable ? 'fa fa-check-square-o' : 'fa fa-square-o'}"></i>
					</ui:fragment>
					<h:outputText value="#{facesContext.translate('label.study.variable.variableusage')}" />
					<h:outputText value="#{facesContext.translateKey(studyModel.variable.variableusage.fkLang)}" rendered="#{studyModel.variable.variableusage != null}" />
 				</p:panelGrid>
 				<p:dataTable value="#{studyModel.variable.attributes}" var="a" rendered="#{studyModel.element.isVariable}">
					<p:column label="#{facesContext.translate('label.name')}"><h:outputText  value="#{a.name}" /></p:column>
					<p:column label="#{facesContext.translate('label.study.variable.attribute.value')}"><h:outputText  value="#{a.value}" /></p:column>
					<p:column label="#{facesContext.translate('label.study.variable.attribute.role')}"><h:outputText  value="#{a.role.name}" /></p:column>
					<p:column label="#{facesContext.translate('label.study.variable.attribute.isprimaryattribute')}">
					  <i class="#{a.isPrimaryAttribute ? 'fa fa-check-square-o' : 'fa fa-square-o'}"></i>
					</p:column>
					<p:column label="#{facesContext.translate('label.study.variable.attribute.locale')}"><h:outputText value="#{facesContext.displayLanguage(a.locale, lang.locale)}" /></p:column>
				</p:dataTable>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_edit" action="#{studyController.toEdit(studyModel.element)}" value="#{facesContext.translate('button.edit')}" ajax="false" immediate="true" />
			<p:commandButton id="btn_back" action="#{studyController.toWelcome(studyModel.element.parent)}" value="#{facesContext.translate('button.overview')}" ajax="false" immediate="true" />
		</ui:define>
		<ui:define name="help_de">
			TODO StS: Die Spezifikationen zum aktuellen Bereich oder zur ausgewählten Variable werden eingeblendet.
		</ui:define>
	</ui:composition>
</h:body>
</html>